<p>
	<?= _('Register a new domain on your account. It must consist of between 4 and 63 letters and digits.') ?>
</p>

<form method="post">
	<fieldset>
		<legend><?= _('Domain') ?></legend>
		<div>
			<label for="subdomain"><?= _('Subdomain') ?></label>
			<br>
			<input id="subdomain" pattern="<?= SUBDOMAIN_REGEX ?>" required="" placeholder="servnest" name="subdomain" type="text">
		</div>
		<div>
			<label for="suffix"><?= _('Suffix') ?></label>
			<br>
			<select required="" name="suffix" id="suffix">
<?php
foreach (CONF['reg']['suffixes'] as $suffix => $availability) {
	if ($availability === 'none')
		continue;
	echo '				<option' . (($availability === 'approved' AND ($_SESSION['type'] ?? '') !== 'approved') ? ' disabled=""' : '') . ' value="' . $suffix . '">.' . $suffix . '</option>' . LF;
}
?>
			</select>
		</div>
	</fieldset>

	<input type="submit" value="<?= _('Register') ?>">
</form>
